Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZWebDAVContentBackend Member List

This is the complete list of members for eZWebDAVContentBackend, including all inherited members.

$availableSites | eZWebDAVContentBackend | protected
$cachedNodes | eZWebDAVContentBackend | protected
$cachedProperties | eZWebDAVContentBackend | protected
$FolderClasses | eZWebDAVContentBackend | protected
$handledLiveProperties | eZWebDAVContentBackend | protected
$useLogging | eZWebDAVContentBackend | protected static
__construct() | eZWebDAVContentBackend |
acquireLock( $readOnly=false) | eZWebDAVContentBackend | protected
appendLogEntry( $logString, $label=false) | eZWebDAVContentBackend | static
checkDeleteRecursive( $target) | eZWebDAVContentBackend |
copy(ezcWebdavCopyRequest $request) | eZWebDAVContentBackend |
copyContent( $sourceSite, $destinationSite, $sourceVFolder, $destinationVFolder, $source, $destination) | eZWebDAVContentBackend | protected
copyObject( $object, $newParentNode) | eZWebDAVContentBackend | protected
copyObjectSameDirectory( $object, $newParentNode, $destinationName=null) | eZWebDAVContentBackend | protected
copyRecursive( $source, $destination, $depth=ezcWebdavRequest::DEPTH_INFINITY) | eZWebDAVContentBackend |
copyVirtualFolder( $sourceSite, $destinationSite, $source, $destination) | eZWebDAVContentBackend | protected
createCollection( $target) | eZWebDAVContentBackend | protected
createFolder( $parentNode, $target) | eZWebDAVContentBackend | protected
createResource( $path, $content=null) | eZWebDAVContentBackend | protected
currentSiteFromPath( $path) | eZWebDAVContentBackend |
DEFAULT_MIMETYPE | eZWebDAVContentBackend |
DEFAULT_SIZE | eZWebDAVContentBackend |
delete(ezcWebdavDeleteRequest $request) | eZWebDAVContentBackend |
deleteContent( $currentSite, $virtualFolder, $target) | eZWebDAVContentBackend | protected
deleteVirtualFolder( $currentSite, $target) | eZWebDAVContentBackend | protected
DIRECTORY_MIMETYPE | eZWebDAVContentBackend |
encodeResponse(ezcWebdavResponse $response) | eZWebDAVContentBackend | protected
fetchContainerNodeInfo( $fullPath, $site, $nodeName) | eZWebDAVContentBackend | protected
fetchContentList( $fullPath, &$node, $target, $depth, $properties) | eZWebDAVContentBackend | protected
fetchNodeByTranslation( $nodePathString) | eZWebDAVContentBackend | protected
fetchNodeInfo( $target, &$node) | eZWebDAVContentBackend | protected
fetchParentNodeByTranslation( $nodePathString) | eZWebDAVContentBackend | protected
fetchSiteListContent( $target, $depth, $properties) | eZWebDAVContentBackend | protected
fetchVirtualSiteContent( $target, $site, $depth, $properties) | eZWebDAVContentBackend | protected
fileBasename( $name) | eZWebDAVContentBackend | protected
freeLock() | eZWebDAVContentBackend | protected
get(ezcWebdavGetRequest $request) | eZWebDAVContentBackend |
getAllProperties( $path) | eZWebDAVContentBackend |
getCollectionContent( $collection, $depth=false, $properties=false) | eZWebDAVContentBackend | protected
getCollectionMembers( $path, $depth=ezcWebdavRequest::DEPTH_INFINITY) | eZWebDAVContentBackend | protected
getContentNodeData( $result, $currentSite, $virtualFolder, $target, $fullPath) | eZWebDAVContentBackend | protected
getContentTreeCollection( $currentSite, $virtualFolder, $collection, $fullPath, $depth, $properties) | eZWebDAVContentBackend | protected
getNodeInfo( $requestUri, $source=null) | eZWebDAVContentBackend | protected
getNodes( $requestUri, $depth) | eZWebDAVContentBackend | protected
getProperty( $path, $propertyName, $namespace='DAV:') | eZWebDAVContentBackend |
getPropertyStorage( $path) | eZWebDAVContentBackend | protected
getResourceContents( $target) | eZWebDAVContentBackend | protected
getVirtualFolderCollection( $currentSite, $collection, $fullPath, $depth, $properties) | eZWebDAVContentBackend | protected
getVirtualFolderData( $result, $currentSite, $target, $fullPath) | eZWebDAVContentBackend | protected
head(ezcWebdavHeadRequest $request) | eZWebDAVContentBackend |
internalNodePath( $virtualFolder, $collection) | eZWebDAVContentBackend | protected
isCollection( $path) | eZWebDAVContentBackend | protected
isObjectFolder( $object, $class) | eZWebDAVContentBackend | protected
lock( $waitTime, $timeout) | eZWebDAVContentBackend |
makeCollection(ezcWebdavMakeCollectionRequest $request) | eZWebDAVContentBackend |
mkcolContent( $currentSite, $virtualFolder, $target) | eZWebDAVContentBackend | protected
mkcolVirtualFolder( $currentSite, $target) | eZWebDAVContentBackend | protected
move(ezcWebdavMoveRequest $request) | eZWebDAVContentBackend |
moveContent( $sourceSite, $destinationSite, $sourceVFolder, $destinationVFolder, $source, $destination, $fullSource, $fullDestination) | eZWebDAVContentBackend | protected
moveRecursive( $source, $destination, $depth=ezcWebdavRequest::DEPTH_INFINITY) | eZWebDAVContentBackend |
moveVirtualFolder( $sourceSite, $destinationSite, $source, $destination, $fullSource, $fullDestination) | eZWebDAVContentBackend | protected
nodeExists( $path) | eZWebDAVContentBackend | protected
options(ezcWebdavOptionsRequest $request) | eZWebDAVContentBackend |
performCopy( $source, $destination, $depth=ezcWebdavRequest::DEPTH_INFINITY) | eZWebDAVContentBackend | protected
performDelete( $target) | eZWebDAVContentBackend | protected
propFind(ezcWebdavPropFindRequest $request) | eZWebDAVContentBackend |
propPatch(ezcWebdavPropPatchRequest $request) | eZWebDAVContentBackend |
put(ezcWebdavPutRequest $request) | eZWebDAVContentBackend |
putContentData( $currentSite, $virtualFolder, $target, $tempFile) | eZWebDAVContentBackend | protected
putVirtualFolderData( $currentSite, $target, $tempFile) | eZWebDAVContentBackend | protected
recode( $string, $fromCharset, $toCharset, $stop=false) | eZWebDAVContentBackend | protected static
removeProperty( $path, ezcWebdavProperty $property) | eZWebDAVContentBackend |
resetProperties( $path, ezcWebdavPropertyStorage $storage) | eZWebDAVContentBackend |
setCurrentSite( $site) | eZWebDAVContentBackend |
setProperty( $path, ezcWebdavProperty $property) | eZWebDAVContentBackend |
setResourceContents( $path, $content) | eZWebDAVContentBackend | protected
splitFirstPathElement( $path, &$element) | eZWebDAVContentBackend | protected
splitLastPathElement( $path, &$element) | eZWebDAVContentBackend | protected
storeProperties( $path, ezcWebdavBasicPropertyStorage $storage) | eZWebDAVContentBackend | protected
storeUploadedFile( $target, $contents) | eZWebDAVContentBackend | protected
tempDirectory() | eZWebDAVContentBackend | protected static
unlock() | eZWebDAVContentBackend |
VIRTUAL_CONTENT_FOLDER_NAME | eZWebDAVContentBackend |
VIRTUAL_MEDIA_FOLDER_NAME | eZWebDAVContentBackend |
virtualContentFolderName() | eZWebDAVContentBackend | static
virtualMediaFolderName() | eZWebDAVContentBackend | static
WEBDAV_INI_FILE | eZWebDAVContentBackend |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.